| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBitmaskToString Class Reference
[Utilities]

Small helper to get a "pretty" string for a combination of bit masks. More...

`#include <cstool/bitmasktostr.h>`

List of all members.

## Static Public Member Functions
static const char * | GetStr (uint mask, const MaskNames *names)
| Retrieve "pretty" string for value composed of bit masks ORed together.
## Classes
struct | MaskNames
| Structure containing a name for possible bit masks. More...

## Detailed Description

Small helper to get a "pretty" string for a combination of bit masks.

Definition at line 36 of file bitmasktostr.h.

## Member Function Documentation

static const char* csBitmaskToString::GetStr | ( | uint | mask,
|  | const MaskNames * | names |
| ) |  |  | `[inline, static]`

Retrieve "pretty" string for value composed of bit masks ORed together.

Parameters:

  | mask | The value for which a string should be retrieved.
  | names | Table with bitmask-to-name mappings. Last entry must be {0, 0}.

Remarks:
  The returned string is only valid until the next call to GetStr().

Definition at line 57 of file bitmasktostr.h.

The documentation for this class was generated from the following file:

- cstool/bitmasktostr.h